@model be_wise.Models.Dashboard.Dto.EditCategoryViewModel

@{
    ViewBag.Title = "Nowa kategoria";
    Layout = "_DashboardLayout";
}

<form asp-action="Create" method="post" enctype="multipart/form-data">
    <div class="form-group">
        <label asp-for="Title">Tytuł</label>
        <input type="text" class="form-control form-control-user" asp-for="Title" placeholder="Przyjaźń">
        @Html.ValidationMessageFor(model => model.Title, "", new {@class = "text-danger"})
    </div>
    <div class="form-group">
        <label asp-for="Image">Wybierz obraz:</label>
        <input type="file" asp-for="Image" class="form-control-file">
        @Html.ValidationMessageFor(model => model.Image, "", new {@class = "text-danger"})
        @Html.ValidationMessageFor(model => model.FileName, "", new {@class = "text-danger"})
    </div>

    @if (@Model.ErrorMessage != null)
    {
        <div class="alert alert-danger my-3">
            @Model.ErrorMessage
        </div>
    }
    <button type="submit" class="btn btn-primary">
        Utwórz
    </button>
    <a asp-action="Index" class="btn btn-warning">
        Anuluj
    </a>
</form>